Google Groups

Re: [bloggerDev] Is Blogger v2 deprecated? Is Atom publishing protocol deprecated for Blogger?


Brett Morgan Jun 23, 2012 6:39 PM
Posted in group: Blogger Developer Group
Hi Oleksandr,

We have had to drop undocumented API components as feature changes in the product made them untenable to support. The Blogger GData API continues to be supported as documented. I'll take this as a vote for getting Template support into our Blogger API v3. 

As to future product directions, I cannot comment. What I can do is take input from the community and feed that into our engineering and product discussions as we continue to move Blogger forward.

brett

On Sat, Jun 23, 2012 at 2:03 PM, Oleksandr Gavenko <gave...@gmail.com> wrote:

I run command:

 $ curl -s -k \
               --header "Authorization: GoogleLogin auth="`cat web/login-auth.txt` \
               --header "GData-Version: 2" \
       http://www.blogger.com/feeds/default/template

which previously dump my blog template, but now seems this URL does not work,
I get error:

 The feed specified by http://www.blogger.com/feeds/6734527039160439299/template is not enabled

It look like Blogger v2 API is depricated and only v3 allowed...

I just read v3 API:

 https://developers.google.com/blogger/docs/3.0/using#AddingAPost

and found that example use only JSON data format. Is this
mean that XML with Atom publishing protocol disappear??

--
Best regards!

--
You received this message because you are subscribed to the Google Groups "Blogger Developer Group" group.
To post to this group, send email to blogg...@googlegroups.com.
To unsubscribe from this group, send email to bloggerdev+...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/bloggerdev?hl=en.




--

Brett Morgan

Developer Relations Engineer, Blogger